## Bsoft program

# bgraphseg

### Usage: bgraphseg [options] input.img output.img

Segment images into density regions using a nondirected graph.

### Actions:

-invert | Invert density in the image before other operations.
-rescale -0.1,5.2 | Rescale data to average and standard deviation before other operations.
-smooth 0.8 | Smooth using a gaussian kernel with the given width.
-type srm | Type of segmentation (simple, srm).
-minimum 2300 | Join segments smaller than this size.
-voxel 23,241,193,1 | Select the segment containing this voxel with an optional inversion flag.
-colorize | Generate random segment colors.

### Parameters:

-verbose 7 | Verbose output.
-datatype u | Force writing of a new data type.
-origin 0.8,-10,15.7 | Set the origin (default from input image).
-connectivity | Flag to use full neighbor connectivity (default 2*dimension).
-complexity 1.6 | Segmentation complexity: larger value gives more regions (default 1).

### Input:

-Mask mask.tif | Mask to limit segmentation.

Bsoft version 2.0.3-20180917 (64 bit)